curl --request GET \
--url https://api.example.com/api/crew-schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/crew-schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/crew-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/crew-schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/crew-schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/crew-schedules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/crew-schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"template_id": "<string>",
"name": "<string>",
"owner_id": "<string>",
"cron": "<string>",
"timezone": "<string>",
"task_input": {},
"enabled": true,
"is_owner": true,
"created_at": "<string>",
"updated_at": "<string>",
"template_name": "<string>",
"run_as_kind": "owner",
"run_as": "<string>",
"run_as_identity_id": "<string>",
"next_run_at": "<string>",
"last_run_at": "<string>",
"last_run_id": "<string>",
"last_run_status": "<string>",
"last_error": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List schedules
List your crew schedules with their last and next run.
curl --request GET \
--url https://api.example.com/api/crew-schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/crew-schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/crew-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/crew-schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/crew-schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/crew-schedules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/crew-schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"template_id": "<string>",
"name": "<string>",
"owner_id": "<string>",
"cron": "<string>",
"timezone": "<string>",
"task_input": {},
"enabled": true,
"is_owner": true,
"created_at": "<string>",
"updated_at": "<string>",
"template_name": "<string>",
"run_as_kind": "owner",
"run_as": "<string>",
"run_as_identity_id": "<string>",
"next_run_at": "<string>",
"last_run_at": "<string>",
"last_run_id": "<string>",
"last_run_status": "<string>",
"last_error": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
List everyone's schedules. Needs nx1_crew_admin.
Response
Successful Response
Username of the user the schedule belongs to.
Whether the caller owns this schedule.
Null if the template can no longer be read.
owner: runs act as the owner. identity: as a service identity.
Username its runs act as: the owner's, or the service identity's service account. Null if that identity no longer exists.
The service identity it runs as, if any.
Next slot (ISO 8601, UTC). Null while disabled.
When a slot last fired or was skipped (UTC).
Crew-run id of the last run it started.
Status of that run: pending, running, completed or failed.
Why the last slot did not start a run.
Was this page helpful?

